Bug 728275 - Review Request: perl-Data-Section-Simple - Read data from __DATA__
Summary: Review Request: perl-Data-Section-Simple - Read data from __DATA__
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-04 14:59 UTC by Paul Howarth
Modified: 2011-08-25 08:39 UTC (History)
3 users (show)

Fixed In Version: perl-Data-Section-Simple-0.02-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-25 08:39:29 UTC
mario.blaettermann: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Paul Howarth 2011-08-04 14:59:02 UTC
Spec URL:
http://subversion.city-fan.org/repos/cfo-repo/perl-Data-Section-Simple/branches/fedora/perl-Data-Section-Simple.spec
SRPM URL:
http://www.city-fan.org/~paul/extras/perl-Data-Section-Simple/perl-Data-Section-Simple-0.02-2.fc17.src.rpm

Description:
Data::Section::Simple is a simple module to extract data from the __DATA__
section of the file.

Comment 1 Mario Blättermann 2011-08-06 21:06:14 UTC
Koji scratch build for f15:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3256364

$ rpmlint -i -v *rpm
perl-Data-Section-Simple.noarch: I: checking
perl-Data-Section-Simple.noarch: I: checking-url http://search.cpan.org/dist/Data-Section-Simple/ (timeout 10 seconds)
perl-Data-Section-Simple.src: I: checking
perl-Data-Section-Simple.src: I: checking-url http://search.cpan.org/dist/Data-Section-Simple/ (timeout 10 seconds)
perl-Data-Section-Simple.src: I: checking-url http://search.cpan.org/CPAN/authors/id/M/MI/MIYAGAWA/Data-Section-Simple-0.02.tar.gz (timeout 10 seconds)
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

No issues so far.

Comment 2 Mario Blättermann 2011-08-06 21:17:51 UTC
---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    GPL+ or Artistic
[+] MUST: The License field in the package spec file must match the actual
license.
[.] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum *
    730256f8dcfdd3fb6f3b522aa58e9188  Data-Section-Simple-0.02.tar.gz
    730256f8dcfdd3fb6f3b522aa58e9188  Data-Section-Simple-0.02.tar.gz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
    - Succesful Koji build available.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[X] MUST: A package must own all directories that it creates.
    Is it intended that your package owns the folder
    /usr/share/perl5/vendor_perl/Data ?

[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[.] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...
[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[+] SHOULD: The reviewer should test that the package functions as described.
    I assume the packager has tested it. Don't know how to test it on my
system.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[+] SHOULD: Your package should contain man pages for binaries/scripts.

Comment 3 Paul Howarth 2011-08-06 21:25:25 UTC
(In reply to comment #2)
> [X] MUST: A package must own all directories that it creates.
>     Is it intended that your package owns the folder
>     /usr/share/perl5/vendor_perl/Data ?

Yes, this is standard practice for perl modules; modules named perl-XXX-YYY will generally own the /usr/share/perl5/vendor_perl/XXX (noarch packages) or %{_libdir}/perl5/vendor_perl/XXX (arch-specific packages) directory.

See: http://fedoraproject.org/wiki/Packaging:Perl#Directory_Ownership

Comment 4 Mario Blättermann 2011-08-07 13:32:15 UTC
OK.

----------------

PACKAGE APPROVED

----------------

Comment 5 Paul Howarth 2011-08-07 15:22:41 UTC
New Package SCM Request
=======================
Package Name: perl-Data-Section-Simple
Short Description: Read data from __DATA__
Owners: pghmcfc
Branches: EL-4 EL-5 EL-6 F-14 F-15 F-16
InitialCC: perl-sig

Comment 6 Gwyn Ciesla 2011-08-07 19:19:05 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2011-08-07 20:51:05 UTC
perl-Data-Section-Simple-0.02-2.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/perl-Data-Section-Simple-0.02-2.el4

Comment 8 Fedora Update System 2011-08-07 20:51:13 UTC
perl-Data-Section-Simple-0.02-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Data-Section-Simple-0.02-2.el6

Comment 9 Fedora Update System 2011-08-07 20:51:23 UTC
perl-Data-Section-Simple-0.02-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Data-Section-Simple-0.02-2.fc15

Comment 10 Fedora Update System 2011-08-07 20:51:31 UTC
perl-Data-Section-Simple-0.02-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Data-Section-Simple-0.02-2.fc16

Comment 11 Fedora Update System 2011-08-07 20:51:38 UTC
perl-Data-Section-Simple-0.02-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Data-Section-Simple-0.02-2.fc14

Comment 12 Fedora Update System 2011-08-07 20:51:46 UTC
perl-Data-Section-Simple-0.02-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Data-Section-Simple-0.02-2.el5

Comment 13 Fedora Update System 2011-08-17 00:56:07 UTC
perl-Data-Section-Simple-0.02-2.fc14 has been pushed to the Fedora 14 stable repository.

Comment 14 Fedora Update System 2011-08-17 00:59:43 UTC
perl-Data-Section-Simple-0.02-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 15 Fedora Update System 2011-08-22 14:56:23 UTC
perl-Data-Section-Simple-0.02-2.fc16 has been pushed to the Fedora 16 stable repository.

Comment 16 Fedora Update System 2011-08-24 23:51:41 UTC
perl-Data-Section-Simple-0.02-2.el4 has been pushed to the Fedora EPEL 4 stable repository.

Comment 17 Fedora Update System 2011-08-24 23:51:59 UTC
perl-Data-Section-Simple-0.02-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 18 Fedora Update System 2011-08-24 23:54:37 UTC
perl-Data-Section-Simple-0.02-2.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 19 Paul Howarth 2011-08-25 08:39:29 UTC
All branches now released.

Thanks for the review Mario.


Note You need to log in before you can comment on or make changes to this bug.